This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 896251 - [de_DE][zh_TW][pt_BR][ru_RU][SAM CLI] user module "translation missing: de.activerecord.errors.messages.record_invalid" errors
[de_DE][zh_TW][pt_BR][ru_RU][SAM CLI] user module "translation missing: de.ac...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Nightly
Unspecified Linux
unspecified Severity high (vote)
: Unspecified
: 6.0
Assigned To: Lukas Zapletal
Corey Welton
: Translation, Triaged, ZStream
Depends On: 887095
Blocks: 891411
  Show dependency treegraph
 
Reported: 2013-01-16 17:13 EST by Chris Pelland
Modified: 2014-09-18 12:47 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
CloudForms System Engine command line tool incorrectly parsed locales, which caused the following error: "translation missing: de.activerecord.errors.messages.record_invalid" This patch replaces the controller for setting the locale. The translation error no longer appears.
Story Points: ---
Clone Of: 887095
Environment:
Last Closed: 2013-02-21 14:06:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 David Davis 2013-01-22 15:33:28 EST
Lukas,

Are you still working on this bug? If not, can we discuss what needs to be done?

Thanks!
Comment 2 Lukas Zapletal 2013-01-23 09:48:52 EST
https://github.com/Katello/katello/pull/1446
Comment 3 David Davis 2013-01-24 18:03:31 EST
Katello commits:

3097b715be7c3f6ac4e8a0406715f31a8c9ac034
35f57f083efa8c886ab9c14a929e47dfeed799ec
Comment 6 Corey Welton 2013-01-29 09:59:01 EST
Still seeing this in CloudForms System Engine Version: 1.1.12-25.el6cf

[root@se-rhelbox ~]# LANG=en_US
[root@se-rhelbox ~]# katello  -u admin -p admin user create --username=de_DE --password=red --email=
Validation failed: Email can't be blank, Password must be at least 5 characters.
[root@se-rhelbox ~]# LANG=de_DE
[root@se-rhelbox ~]# katello  -u admin -p admin user create --username=de_DE --password=red --email=
translation missing: de.activerecord.errors.messages.record_invalid
Comment 7 Lukas Zapletal 2013-01-29 10:58:22 EST
I have been told by cswii that this FAILS QA:

# LC_ALL=de_DE katello  -u admin -p admin user create --username=de_DE --password=red --email=
translation missing: de.activerecord.errors.messages.record_invalid

Ok the patch that has been cherrypicked fixed issue when CLI ignored LC_ALL setting. But since the namespace was changed in Rails 3.x

https://github.com/rails/rails/pull/5274/files

we have old and outdated locale files in SE 1.1.z now.

We need to cherry pick this rails locale update:

https://github.com/Katello/katello/commit/54db6b1b4e49808450856a4427bc8b180ab8a1fc

To get this working.
Comment 9 Corey Welton 2013-01-29 15:47:38 EST
QE Verified.
CloudForms System Engine Version: 1.1.12-26.el6cf
Comment 11 errata-xmlrpc 2013-02-21 14:06:54 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0547.html

Note You need to log in before you can comment on or make changes to this bug.